Subject: Re: The [email-masked] mailing list
From: [email-masked] (Fergus Henderson)

19 Feb 1997 17:26:32 -0800
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
Content-Type: text
Original-To: [email-masked]
Original-Cc: [email-masked] (gnu-win32)
In-Reply-To: <[email-masked]> from "Aubrey McAuley" at Feb 19, 97 12:39:14 pm
X-Mailer: ELM [version 2.4 PL24]
Original-Sender: [email-masked]

Aubrey McAuley, you wrote:
> 
> Fergus,
> 
> Thanks for a very clear statement of the issues. I agree completely. 
> I have a question regarding your last comment:
> 
> > Yes, the good news is that there seems to be a technical solution:
> > there is a version of libcygwin.a that is freely available under a
> > license that is compatible with the LGPL.
> 
> What is this version you mention? mingw32? Where can it be found?

The version I'm talking about is the one that is distributed with
GNAT 3.09, which is available via <ftp://ftp.cs.nyu.edu/pub/gnat/winnt>.

Here's what Richard Kenner said about it on comp.lang.ada:

 | Subject:      Re: Gnat 3.09 NT - Legal issues
 | From:         [email-masked] (Richard Kenner)
 | Date:         1997/02/11
 | Message-Id:   <[email-masked]>
 | References:   <dewar.855492299@merv> <[email-masked]>
 | 	<[email-masked]>
 | Organization: New York University Ultracomputer Research Lab
 | Newsgroups:   comp.lang.ada
 | 
 | In article <[email-masked]> [email-masked]
 | (Fergus Henderson) writes:
 | >If the code generated by GNAT for NT/Win95 using cynwin32 really doesn't
 | >include any of the libcygwin.a code, could you perhaps explain to us
 | >how (technically speaking) you avoided that?
 | 
 | 99% of libcygwin.a is automatically-generated jump vectors to
 | cygwin32.dll, which is GPL'ed, but not included in the generated
 | executable.  The rest of the files used to build that library, plus
 | the file used to build crt0.o, constitute only a handful of files,
 | some of which were copyrighted under the Berkeley copyright, which
 | imposes no restrictions.  For the remaining couple of files, which
 | were tiny, we rebuilt libcygwin.a using the sources of those files
 | from an earlier version of Cygwin32, when they did not have GPL
 | copyrights.
 | 
 | Thefore no code contained in the user's executable is covered by the
 | unmodified GPL (the GNAT run-time-library sources are covered by a
 | modified version of the GPL which permits use of the objects, without
 | restrictions, in user executables).

-- 
Fergus Henderson <[email-masked]>   |  "I have always known that the pursuit
WWW: <http://www.cs.mu.oz.au/~fjh>   |  of excellence is a lethal habit"
PGP: finger [email-masked]         |     -- the last words of T. S. Garp.
-
For help on using this list, send a message to
"[email-masked]" with one line of text: "help".